Create shipment

POST /api/v1/inventory/shipments

Record a received shipment and update inventory.

Operation ID: create_shipment_api_v1_inventory_shipments_post · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Request body

fees array · Fee

Shipment-specific fees.

status string

Shipment status.

line_items array · LineItem

Items included in this shipment.

description string

Shipment notes.

tracking_number string

Carrier tracking number.

expected_arrival_date string · date-time

Expected delivery date.

shipped_date string · date-time

Date shipped.

location_id string

Destination location ID (where the shipment is being shipped to).

Responses

201 Successful Response

id string required

Shipment UUID.

business_id string required

Business UUID.

status string required

Shipment status.

fees array · Fee requiredFee

Shipment fees.

3 fields
name string

Fee name (e.g., 'Shipping', 'Handling').

description string

Fee description (alternative to name).

amount integer required

Fee amount in cents.

line_items array · object required

Items in shipment.

description string

Notes.

tracking_number string

Tracking number.

expected_arrival_date string · date-time

Expected delivery.

shipped_date string · date-time

Ship date.

location_id string

Destination location ID.

location_name string

Destination location name.

created_at string · date-time required

Created timestamp.

updated_at string · date-time required

Updated timestamp.

version integer

Version for optimistic locking.

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object